> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Get an API credential

GET https://api.sigmacomputing.com/v2/api-credentials/{apiCredentialId}

This endpoint returns nonsensitive details for a single API credential. For more information on API credentials, see [Configure API credentials and connectors in Sigma](https://help.sigmacomputing.com/docs/configure-api-credentials-and-connectors-in-sigma).

### Usage notes
- The user making this request must be assigned an account type with the **Manage API connectors** permission enabled and have at least **Can view** access on the credential.
- Retrieve the **apiCredentialId** by calling the [/v2/api-credentials](https://help.sigmacomputing.com/reference/list-api-credentials) endpoint.
- Secret fields (passwords, tokens, client secrets, secret access keys) are never returned.

### Usage scenarios
- **Credential inspection:** Retrieve the configuration of a credential to verify its settings before using it with a connector.

Reference: https://help.sigmacomputing.com/reference/get-api-credential

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/api-credentials/{apiCredentialId}:
    get:
      operationId: getApiCredential
      summary: Get an API credential
      description: >-
        This endpoint returns nonsensitive details for a single API credential.
        For more information on API credentials, see [Configure API credentials
        and connectors in
        Sigma](https://help.sigmacomputing.com/docs/configure-api-credentials-and-connectors-in-sigma).


        ### Usage notes

        - The user making this request must be assigned an account type with the
        **Manage API connectors** permission enabled and have at least **Can
        view** access on the credential.

        - Retrieve the **apiCredentialId** by calling the
        [/v2/api-credentials](https://help.sigmacomputing.com/reference/list-api-credentials)
        endpoint.

        - Secret fields (passwords, tokens, client secrets, secret access keys)
        are never returned.


        ### Usage scenarios

        - **Credential inspection:** Retrieve the configuration of a credential
        to verify its settings before using it with a connector.
      tags:
        - apiCredentials
      parameters:
        - name: apiCredentialId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api-credentials_getApiCredential_Response_200
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaAuthMethod:
      type: string
      enum:
        - basic
        - bearer
        - apiKey
        - oAuthClientCredentials
        - oAuthAuthorizationCode
        - oAuthPasswordCredentials
        - awsSigV4
      description: Authentication method the credential uses.
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaAuthMethod
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf0AuthMethod:
      type: string
      enum:
        - basic
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf0AuthMethod
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf0Basic:
      type: object
      properties:
        username:
          type: string
          description: Username for Basic authentication.
      required:
        - username
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf0Basic
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential0:
      type: object
      properties:
        authMethod:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf0AuthMethod
        basic:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf0Basic
      required:
        - authMethod
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential0
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf1AuthMethod:
      type: string
      enum:
        - bearer
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf1AuthMethod
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential1:
      type: object
      properties:
        authMethod:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf1AuthMethod
      required:
        - authMethod
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential1
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf2AuthMethod:
      type: string
      enum:
        - apiKey
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf2AuthMethod
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf2ApiKey:
      type: object
      properties:
        key:
          type: string
          description: Header or query parameter name carrying the API key.
        isQueryParam:
          type: boolean
          description: >-
            Whether the key is sent as a query parameter; if false, it is sent
            as a header.
      required:
        - key
        - isQueryParam
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf2ApiKey
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential2:
      type: object
      properties:
        authMethod:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf2AuthMethod
        apiKey:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf2ApiKey
      required:
        - authMethod
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential2
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf3AuthMethod:
      type: string
      enum:
        - oAuthClientCredentials
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf3AuthMethod
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf3OAuthClientCredentialsAccessTokenAuthMethod:
      type: string
      enum:
        - httpBasic
        - requestBody
      description: How client credentials are presented to the token endpoint.
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf3OAuthClientCredentialsAccessTokenAuthMethod
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf3OAuthClientCredentials:
      type: object
      properties:
        clientId:
          type: string
          description: OAuth client ID.
        accessTokenUrl:
          type: string
          description: OAuth token endpoint URL.
        scopes:
          type: array
          items:
            type: string
          description: OAuth scopes requested at token exchange.
        accessTokenAuthMethod:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf3OAuthClientCredentialsAccessTokenAuthMethod
          description: How client credentials are presented to the token endpoint.
      required:
        - clientId
        - accessTokenUrl
        - scopes
        - accessTokenAuthMethod
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf3OAuthClientCredentials
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential3:
      type: object
      properties:
        authMethod:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf3AuthMethod
        oAuthClientCredentials:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf3OAuthClientCredentials
      required:
        - authMethod
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential3
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf4AuthMethod:
      type: string
      enum:
        - oAuthAuthorizationCode
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf4AuthMethod
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf4OAuthAuthorizationCodeAccessTokenAuthMethod:
      type: string
      enum:
        - httpBasic
        - requestBody
      description: How client credentials are presented to the token endpoint.
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf4OAuthAuthorizationCodeAccessTokenAuthMethod
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf4OAuthAuthorizationCode:
      type: object
      properties:
        clientId:
          type: string
          description: OAuth client ID.
        authorizationUrl:
          type: string
          description: OAuth authorization endpoint URL.
        accessTokenUrl:
          type: string
          description: OAuth token endpoint URL.
        scopes:
          type: array
          items:
            type: string
          description: OAuth scopes.
        accessTokenAuthMethod:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf4OAuthAuthorizationCodeAccessTokenAuthMethod
          description: How client credentials are presented to the token endpoint.
      required:
        - clientId
        - authorizationUrl
        - accessTokenUrl
        - scopes
        - accessTokenAuthMethod
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf4OAuthAuthorizationCode
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential4:
      type: object
      properties:
        authMethod:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf4AuthMethod
        oAuthAuthorizationCode:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf4OAuthAuthorizationCode
      required:
        - authMethod
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential4
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf5AuthMethod:
      type: string
      enum:
        - oAuthPasswordCredentials
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf5AuthMethod
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf5OAuthPasswordCredentialsAccessTokenAuthMethod:
      type: string
      enum:
        - httpBasic
        - requestBody
      description: How client credentials are presented to the token endpoint.
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf5OAuthPasswordCredentialsAccessTokenAuthMethod
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf5OAuthPasswordCredentials:
      type: object
      properties:
        username:
          type: string
          description: OAuth resource-owner username.
        accessTokenUrl:
          type: string
          description: OAuth token endpoint URL.
        scopes:
          type: array
          items:
            type: string
          description: OAuth scopes.
        accessTokenAuthMethod:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf5OAuthPasswordCredentialsAccessTokenAuthMethod
          description: How client credentials are presented to the token endpoint.
        clientId:
          type: string
          description: OAuth client ID.
      required:
        - username
        - accessTokenUrl
        - scopes
        - accessTokenAuthMethod
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf5OAuthPasswordCredentials
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential5:
      type: object
      properties:
        authMethod:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf5AuthMethod
        oAuthPasswordCredentials:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf5OAuthPasswordCredentials
      required:
        - authMethod
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential5
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AuthMethod:
      type: string
      enum:
        - awsSigV4
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AuthMethod
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AwsSigV4TemporaryCredentialsResponseMapping:
      type: object
      properties:
        accessKeyField:
          type: string
        secretKeyField:
          type: string
        sessionTokenField:
          type: string
        expirationField:
          type: string
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AwsSigV4TemporaryCredentialsResponseMapping
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AwsSigV4TemporaryCredentialsRequestParamsItemsSendIn:
      type: string
      enum:
        - queryParam
        - body
        - header
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AwsSigV4TemporaryCredentialsRequestParamsItemsSendIn
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AwsSigV4TemporaryCredentialsRequestParamsItems:
      type: object
      properties:
        key:
          type: string
        value:
          type: string
        sendIn:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AwsSigV4TemporaryCredentialsRequestParamsItemsSendIn
      required:
        - key
        - value
        - sendIn
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AwsSigV4TemporaryCredentialsRequestParamsItems
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AwsSigV4:
      type: object
      properties:
        accessKeyId:
          type: string
          description: AWS access key ID.
        region:
          type: string
          description: AWS region for SigV4 signing.
        service:
          type: string
          description: AWS service name for SigV4 signing (e.g. `s3`, `execute-api`).
        temporaryCredentialsUrl:
          type: string
          description: URL that vends temporary credentials (e.g. STS AssumeRole endpoint).
        temporaryCredentialsResponseMapping:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AwsSigV4TemporaryCredentialsResponseMapping
        temporaryCredentialsRequestParams:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AwsSigV4TemporaryCredentialsRequestParamsItems
          description: >-
            Additional parameters sent on the temporary-credentials swap
            request, each tagged with `sendIn` (`header` | `body` |
            `queryParam`).
      required:
        - accessKeyId
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AwsSigV4
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential6:
      type: object
      properties:
        authMethod:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AuthMethod
        awsSigV4:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredentialOneOf6AwsSigV4
      required:
        - authMethod
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential6
    V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential:
      oneOf:
        - $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential0
        - $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential1
        - $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential2
        - $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential3
        - $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential4
        - $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential5
        - $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential6
      description: >-
        Nonsensitive projection of the credential, discriminated by
        `authMethod`. Secret fields (password, token, clientSecret,
        secretAccessKey) are never returned.
      title: >-
        V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential
    api-credentials_getApiCredential_Response_200:
      type: object
      properties:
        apiCredentialId:
          type: string
          description: Unique identifier of the API credential.
        name:
          type: string
          description: Display name of the credential.
        authMethod:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaAuthMethod
          description: Authentication method the credential uses.
        allowlist:
          type: array
          items:
            type: string
          description: >-
            Hostname glob patterns (e.g. `*.example.com`) that the credential is
            authorized to be used against.
        credential:
          $ref: >-
            #/components/schemas/V2ApiCredentialsApiCredentialIdGetResponsesContentApplicationJsonSchemaCredential
          description: >-
            Nonsensitive projection of the credential, discriminated by
            `authMethod`. Secret fields (password, token, clientSecret,
            secretAccessKey) are never returned.
        createdBy:
          type: string
          description: The identifier of the user who created this object.
        updatedBy:
          type: string
          description: The identifier of the user or process that last updated this object.
        createdAt:
          type: string
          format: date-time
          description: When the object was created.
        updatedAt:
          type: string
          format: date-time
          description: When the object was last updated.
        description:
          type: string
          description: Human-readable description.
      required:
        - apiCredentialId
        - name
        - authMethod
        - allowlist
        - credential
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
      title: api-credentials_getApiCredential_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "apiCredentialId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
  "name": "Internal API Basic Credential",
  "authMethod": "basic",
  "allowlist": [
    "*.internal.example.com",
    "api.partner.example.com"
  ],
  "credential": {
    "authMethod": "basic",
    "basic": {
      "username": "api_user_01"
    }
  },
  "createdBy": "user_12345",
  "updatedBy": "user_12345",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "description": "Basic auth credential for internal API access"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/api-credentials/apiCredentialId"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/api-credentials/apiCredentialId';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/api-credentials/apiCredentialId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/api-credentials/apiCredentialId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/api-credentials/apiCredentialId")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/api-credentials/apiCredentialId', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/api-credentials/apiCredentialId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/api-credentials/apiCredentialId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```